[@algorandfoundation/algokit-utils](../README.md) / [types/app-arc56](../modules/types_app_arc56.md) / StorageKey

# Interface: StorageKey

[types/app-arc56](../modules/types_app_arc56.md).StorageKey

Describes a single key in app storage

## Table of contents

### Properties

- [desc](types_app_arc56.StorageKey.md#desc)
- [key](types_app_arc56.StorageKey.md#key)
- [keyType](types_app_arc56.StorageKey.md#keytype)
- [valueType](types_app_arc56.StorageKey.md#valuetype)

## Properties

### desc

• `Optional` **desc**: `string`

Description of what this storage key holds

#### Defined in

[src/types/app-arc56.ts:464](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L464)

___

### key

• **key**: `string`

The bytes of the key encoded as base64

#### Defined in

[src/types/app-arc56.ts:471](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L471)

___

### keyType

• **keyType**: `string`

The type of the key

#### Defined in

[src/types/app-arc56.ts:466](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L466)

___

### valueType

• **valueType**: `string`

The type of the value

#### Defined in

[src/types/app-arc56.ts:469](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-arc56.ts#L469)
